## perfetto 0~48.1

=== debian/changelog ===
perfetto (0~48.1-1~rpt3) bookworm; urgency=medium

  [ Richard Oliver ]
  * debian: Use system protoc when compiling test configurations
  * debian: Build test/configs
  * debian: Install compiled configs to /var/lib/perfetto/configs

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Thu, 16 Jan 2025 15:18:28 +0000

perfetto (0~48.1-1~rpt2) bookworm; urgency=medium

  [ Tom Dewey ]
  * debian: Build tracebox
  * debian: Add Linux-specific manpage

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 07 Nov 2024 15:07:12 +0000

perfetto (0~48.1-1~rpt1) bookworm; urgency=medium

  * Raspberry Pi OS build

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 23 Oct 2024 10:02:51 +0100

perfetto (15.0-1) unstable; urgency=medium
  * Performance improvements.
  * Bugfixes.
  * More flexible SDK.
  * New data-sources.

 -- Florian Mayer <fmayer@google.com>  Fri, 14 May 2021 10:50:00 +0000

perfetto (11.0-1) unstable; urgency=medium
  * Add the Perfetto perf sampling and profiling service.

 -- Sami Kyostila <skyostil@google.com>  Mon, 18 Jan 2021 12:10:00 +0000

perfetto (9.0-1) unstable; urgency=medium

  * Run traced under a dedicated system user account and set socket
    permissions accordingly so that any user can write trace events, but
    only the users in the "traced-consumer" group can read trace data.
  * Update to debhelper 10.
  * Bump version to match Perfetto release.

 -- Sami Kyostila <skyostil@google.com>  Mon, 9 Nov 2020 15:24:00 +0000

perfetto (0.1-1) unstable; urgency=medium

  * Initial release

 -- Sami Kyostila <skyostil@google.com>  Mon, 15 Jan 2018 23:23:25 +0000
