## perfetto 53.0

=== python/requirements.txt ===
yapf==0.40.2
sqlglot==26.9.0
