=== infra/ci/frontend/requirements.txt ===
Flask[async]==2.2.5
requests
gunicorn
google-auth
google-cloud
google-cloud-logging
google-cloud-ndb
PyJWT
cryptography
