## perfetto 0~51.2

=== debian/changelog ===
perfetto (0~51.2-1~rpt1) trixie; urgency=medium

  * Raspberry Pi OS Trixie build
  * Refreshed patches

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Tue, 29 Jul 2025 13:27:43 +0000
