=== debian/control ===
Source: perfetto
Section: kernel
Priority: optional
Maintainer: Sami Kyostila <skyostil@google.com>
Build-Depends: debhelper (>= 13),
  generate-ninja,
  git,
  libprotoc-dev,
  ninja-build,
  pandoc,
  protobuf-compiler,
  python3,
  zlib1g-dev,
  zlib1g
Standards-Version: 4.5.1
Homepage: https://perfetto.dev
Vcs-Git: https://android.googlesource.com/platform/external/perfetto/
Vcs-Browser: https://android.googlesource.com/platform/external/perfetto/
Rules-Requires-Root: no

Package: perfetto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, zlib1g
Description: Performance instrumentation and logging framework
 Perfetto is a performance instrumentation and logging framework for POSIX
 systems.
