## perfetto 53.0

=== debian/changelog ===
perfetto (53.0-3) unstable; urgency=medium

  * Add missing commit in debian/copyright

 -- S Ashwin Balaji <ashwinbalaji622@gmail.com>  Fri, 14 Nov 2025 11:53:31 +0000

perfetto (53.0-2) unstable; urgency=medium

  * Disable non-baseline CPU features for amd64.
  * Add missing authors for debian/ files.

 -- S Ashwin Balaji <ashwinbalaji622@gmail.com>  Thu, 13 Nov 2025 23:20:51 +0000

perfetto (53.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1118165)

 -- S Ashwin Balaji <ashwinbalaji622@gmail.com>  Tue, 28 Oct 2025 21:42:23 +0100
