=== debian/control ===
Source: perfetto
Section: utils
Priority: optional
Maintainer: S Ashwin Balaji <ashwinbalaji622@gmail.com>
Uploaders: Ricardo Ribalda Delgado <ribalda@debian.org>
Homepage: https://perfetto.dev
Vcs-Browser: https://salsa.debian.org/debian/perfetto
Vcs-Git: https://salsa.debian.org/debian/perfetto.git
Build-Depends: debhelper (>= 13),
               debhelper-compat (= 13),
               generate-ninja,
               libprotoc-dev,
               ninja-build,
               pandoc,
               protobuf-compiler,
               python3,
               zlib1g-dev
Standards-Version: 4.7.2

Package: perfetto
Architecture: amd64 arm64 armhf i386
Depends: adduser, zlib1g, ${misc:Depends}, ${shlibs:Depends}
Description: Performance instrumentation and logging framework
 Perfetto is a performance instrumentation and logging framework for POSIX
 systems. It offers services and libraries for recording system-level and
 app-level traces, native and Java heap profiling, and a library for
 analyzing traces using SQL.
 .
 This package conatains the core userspace daemons and client tools:
  * traced: The unprivileged central tracing service. It manages the
    shared memory buffers and arbitrates between data producers and
    trace consumers.
  * traced_probes: The privileged system daemon. It runs with required
    permissions to access kernel interfaces (such as ftrace and /proc)
    to produce system-level trace data.
  * perfetto: The command-line client used to configure, start, and
    stop tracing sessions, and save trace data to files. It supports
    complex trace configurations to precisely control recorded data
    (see https://perfetto.dev/docs/concepts/config).
