## perfetto 54.0

=== python/requirements.txt ===
grpcio==1.76.0
pandas==2.3.3
protobuf==6.33.5
sqlglot==26.9.0
yapf==0.40.2
