=== debian/changelog ===
perfetto (54.0-1) unstable; urgency=medium

  * Uprev to latest upstream version
  * Update Standards version
  * Update Copyright hits

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Mon, 02 Mar 2026 14:55:37 +0000
