=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: perfetto
 Section: utils
-Priority: optional
 Maintainer: S Ashwin Balaji <ashwinbalaji622@gmail.com>
 Uploaders: Ricardo Ribalda Delgado <ribalda@debian.org>
 Homepage: https://perfetto.dev
@@ -15,7 +14,7 @@
                protobuf-compiler,
                python3,
                zlib1g-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 
 Package: perfetto
 Architecture: amd64 arm64 armhf i386
